import type PageObject from '../page-object';
import { ElementLike } from './types';
/**
 * Create a proxy wrapping a {@link PageObject} and implementing array
 * functionality.
 *
 * @param PageObject the page object to wrap in a proxy
 *
 * @returns the proxy implementing the page object & array functionality
 */
export default function createProxy<ElementType extends ElementLike>(pageObject: PageObject<ElementType>): PageObject<ElementType>;
